EDIT - bug #9529
task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

Correct formatting for bibliographic in-reference separation
03/13/2021 02:23 AM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal Found in Version:

Description

AM:

Vorgeschlagen wurden von Norbert zumindest fir Zeitschriften:
e Trennung nur per Punkt
Chenopodiastrum (Amaranthaceae s. lato/Chenopodiaceae s. stricto) on Atlantic islands. Annales botanici fennici 58: 83-94. 2020
e Trennung per Punkt und Dash
Chenopodiastrum (Amaranthaceae s. lato/Chenopodiaceae s. stricto) on Atlantic islands. — Annales botanici fennici 58: 83-94. 2020
NK:
Buchkapitelzitate sind auch etwas unleserlich, bisher:

Funk V. A. & Chan R. - Introduction to Cichorioideae in Funk V. A., Susanna A., Stuessy T. & al., Systematics, evolution and
biogeography of Compositae. 2009

da ware angelehnt an der Zeitschirtfenaufsatzzitierweise folgende Form konsequenter und lesbarer:

Funk V. A. & Chan R., Introduction to Cichorioideae. In: Funk V. A., Susanna A., Stuessy T. & al., Systematics, evolution and
biogeography of Compositae. 2009

oder

Funk V. A. & Chan R., Introduction to Cichorioideae. — In: Funk V. A., Susanna A., Stuessy T. & al., Systematics, evolution and
biogeography of Compositae. 2009

oder, wenn idealerweise auch die Seitenzahlen angezeigt wirden, etwa:

Funk V. A. & Chan R., Introduction to Cichorioideae, pp. 9-24. — In: Funk V. A., Susanna A., Stuessy T. & al., Systematics, evolution
and biogeography of Compositae. 2009

The pages issue is handled in #9530

Related issues:

Related to EDIT - bug #6499: Remaining issues to include pages in bibliograph... In Progress
Related to EDIT - bug #6960: Improve reference cachestrategy Duplicate
Related to EDIT - feature request #9530: Add pages to bibliographic book sect... Closed
Related to EDIT - feature request #9326: Show all authors in bibliographic re... Closed

Associated revisions

Revision a7601e2a - 03/13/2021 04:34 AM - Andreas Miiller

fix #9529 correct separation for bibliographic in-references
Revision fc5bfc61 - 03/15/2021 11:11 AM - Andreas Kohlbecker

ref #9529 adapting dataportal tests to new bibliographic in-reference separation

Revision 59fa7b84 - 05/14/2021 10:38 PM - Andreas Miiller

ref #9529 fix duplicated dashes and replaces minus by dashes in book sections without title

Revision 78faddec - 05/14/2021 11:39 PM - Andreas Miiller

ref #9529 replace afterSectionAuthor n-dash by comma

History

#1 - 03/13/2021 04:15 AM - Andreas Miiller

- Related to bug #6499: Remaining issues to include pages in bibliographic reference titleCaches added

#2 - 03/13/2021 04:15 AM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

- % Done changed from 0 to 30

#3 - 03/13/2021 04:17 AM - Andreas Miiller
- Related to bug #6960: Improve reference cachestrategy added

#4 - 03/13/2021 04:34 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 30 to 50

Applied in changeset cdmlibla7601e2a3c182cbadfed17a9b33ac7c58417c01e.

#5 - 03/13/2021 04:37 AM - Andreas Miiller
- Related to feature request #9530: Add pages to bibliographic book sections added

#6 - 03/13/2021 05:17 AM - Andreas Miiller
- Description updated

- % Done changed from 50 to 30

#7 - 03/13/2021 05:21 AM - Andreas Miiller
- Description updated
NadjaK:

ich bin auch fur n-dash, und bei Blichern fir die Variante mit Seitenzahlen, das ja auch der Willdenowia-Stil, das wére also gut, wenn das kongruent
waére.

ERS:
ich stimme Norbert zu, mit ausdriicklicher Preferenz fiir den n-dash. Kein "in" fiir Zeitschriften an dieser Stelle.
WGB:

ich schlieBe mich Nadja et al. an. Wir reden hier ausdrticklich nur von bibliographischen Referenzen, die nomenklatorische Referenzen (und das
Parsen derselben) ist hiervon nicht betroffen.

#8 - 03/13/2021 05:37 AM - Andreas Miiller

The abbrevCache seems to be missing the dot (in some cases?). See Cichorium endivia - Canary islands (Hansen ref with abbrev title)

#9 - 03/13/2021 05:37 AM - Andreas Miiller
- % Done changed from 30 to 40

It looks like we need to update the titteCaches after having this installed.
#10 - 05/14/2021 08:10 PM - Andreas Miiller

- Related to feature request #9326: Show all authors in bibliographic references added

#11 - 05/14/2021 10:58 PM - Andreas Miiller

und noch eine Frage zur Formatierung. In #9529 haben wir ja beschlossen, dass bibliographische In-Referenzen mit ,. — In: “ getrennt werden sollen.

Das ist bereits so implementiert.

In Norberts Beispiel wird aber auch der Kapitel Autor mit Komma statt wie bisher mit n-dash getrennt. Also Beispiel:

Funk V. A. & Chan R., Introduction to Cichorioideae. — In: Funk V. A., Susanna A., Stuessy T. & al., Systematics, evolution and biogeography of

Compositae. 2009

Statt

Funk V. A. & Chan R. — Introduction to Cichorioideae. — In: Funk V. A., Susanna A., Stuessy T. & al., Systematics, evolution and biogeography of

Compositae. 2009.

Stimmen dem auch alle zu? Ich frage nur, da ich die andere Variante in alteren Beispielen auch gesehen hatte, u.a. in E+M Beispielen. Und ich bin

mir nicht sicher, ob diese Anderung von allen bemerkt wurde im Email Thread, da Kommentare nur zu dem erstgenannten Thema kamen.

#12 - 05/14/2021 10:59 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.25

#13 - 05/15/2021 02:12 AM - Andreas Miiller
- Parent task set to #4338

#14 - 05/17/2021 09:22 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 40 to 100

WGB: ich bin auf jeden Fall fir das Kommal!

NoK: Bin ... Walters Meinung

#15 - 05/17/2021 09:51 AM - Andreas Muller

- Target version changed from Release 5.25 to Release 5.23

#16 - 05/21/2021 08:24 AM - Andreas Muller

- Target version changed from Release 5.23 to Release 5.22

This was mostly done in 5.22
